Package org.codehaus.groovy.classgen.asm.indy.sc

# Class IndyStaticTypesMultiTypeDispatcher

java.lang.Object
org.codehaus.groovy.classgen.asm.BinaryExpressionHelper
org.codehaus.groovy.classgen.asm.BinaryExpressionMultiTypeDispatcher
org.codehaus.groovy.classgen.asm.sc.StaticTypesBinaryExpressionMultiTypeDispatcher
org.codehaus.groovy.classgen.asm.indy.sc.IndyStaticTypesMultiTypeDispatcher

@Deprecated(since="6.0.0") public class IndyStaticTypesMultiTypeDispatcher extends StaticTypesBinaryExpressionMultiTypeDispatcher
Deprecated.
Since 6.0.0, use `StaticTypesBinaryExpressionMultiTypeDispatcher` instead; indy array access is no longer used in static compilation.
Multi type dispatcher for binary expression backend combining indy and static compilation

Since:
  2.5.0

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.classgen.asm.BinaryExpressionMultiTypeDispatcher

  `binExpWriter, typeMap, typeMapKeyNames`

  ### Fields inherited from class org.codehaus.groovy.classgen.asm.BinaryExpressionHelper

  `controller`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndyStaticTypesMultiTypeDispatcher(WriterController wc)`
  Deprecated.
  Creates a dispatcher that combines static compilation and indy array access.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected BinaryExpressionWriter[]`
  `initializeDelegateHelpers()`
  Deprecated.
  Creates the helper table used for primitive binary-expression dispatch.

  ### Methods inherited from class org.codehaus.groovy.classgen.asm.sc.StaticTypesBinaryExpressionMultiTypeDispatcher

  `assignToArray, evaluateBinaryExpressionWithAssignment, evaluateCompoundAssign, evaluateEqual, writePostOrPrefixMethod`

  ### Methods inherited from class org.codehaus.groovy.classgen.asm.BinaryExpressionMultiTypeDispatcher

  `doPrimitiveCompare, doPrimtiveCompare, evaluateBinaryExpression, evaluateCompareExpression, getOperandType`

  ### Methods inherited from class org.codehaus.groovy.classgen.asm.BinaryExpressionHelper

  `eval, evaluateArrayAssignmentWithOperator, evaluateElvisEqual, evaluatePostfixMethod, evaluatePrefixMethod, evaluateTernary, getController, getIsCaseMethod, writeIsCase`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IndyStaticTypesMultiTypeDispatcher

    public IndyStaticTypesMultiTypeDispatcher(WriterController wc)
    Deprecated.
    Creates a dispatcher that combines static compilation and indy array access.

- ## Method Details

  - ### initializeDelegateHelpers

    protected BinaryExpressionWriter[] initializeDelegateHelpers()
    Deprecated.
    Creates the helper table used for primitive binary-expression dispatch.
    Overrides:
      `initializeDelegateHelpers` in class `BinaryExpressionMultiTypeDispatcher`
    Returns:
      the helper table indexed by `BinaryExpressionMultiTypeDispatcher.typeMap`